import joi from "joi";

const registerSchema = joi.object({
  countryCode: joi.string().required(),
  phoneNumber: joi
    .string()
    .pattern(/^[0-9+\-\s()]+$/)
    .required(),
});

const loginSchema = joi.object({
  countryCode: joi.string().required(),
  phoneNumber: joi
    .string()
    .pattern(/^[0-9+\-\s()]+$/)
    .required(),
});

const otpSchema = joi.object({
  countryCode: joi.string().required(),
  phoneNumber: joi
    .string()
    .pattern(/^[0-9+\-\s()]+$/)
    .required(),
  otp: joi.string().min(6).required(),
});

const triggerOtpSchema = joi.object({
  countryCode: joi.string().required(),
  phoneNumber: joi
    .string()
    .pattern(/^[0-9+\-\s()]+$/)
    .required(),
});

const refreshTokenSchema = joi.object({
  refreshToken: joi.string().required()
});

export {
  registerSchema,
  loginSchema,
  otpSchema,
  triggerOtpSchema,
  refreshTokenSchema,
};
